"""Functions for getting the config used for compiling BOUT++

"""
# Created by cmake
_yesno = {"TRUE": True, "ON": True, "FALSE": False, "OFF": False}
_iyesno = {True: "yes", False: "no"}

config = {
    "cc": "cc",
    "cxx": "/usr/bin/c++",
    "ld": "/usr/bin/c++",
    "checks": "2",
    "cflags": "$<BUILD_INTERFACE:/construction/science/bout++/BOUT-dev-4.4.2/include>;$<INSTALL_INTERFACE:include>",
    "libs": "MPI::MPI_CXX;mpark_variant;pvode;pvpre;-L/usr/local/lib;-lnetcdf_c++4;-lnetcdf;FFTW::FFTW;/usr/local/lib/libopenblas.so;-lpthread;-lm;-ldl;Libuuid::libuuid",
    "version": "",
    "git": "",
    "idlpath": "",
    "pythonpath": "/construction/science/bout++/.build/tools/pylib:/construction/science/bout++/BOUT-dev-4.4.2/tools/pylib",
    "has_netcdf": "true",
    "has_pnetcdf": "OFF",
    "has_hdf5": "false",
    "has_pvode": "ON",
    "has_cvode": "false",
    "has_ida": "false",
    "has_lapack": "ON",
    "has_petsc": "false",
    "has_slepc": "false",
    "has_mumps": "OFF",
    "has_arkode": "false",
    "has_openmp": "false",
    "has_nls": "ON",
    "has_fftw": "ON",
    "petsc_has_sundials": "",
}


@property
def has():
    """Get a dict of the enabled features"""
    _has = {}
    for k in config:
        if k.startswith("has_"):
            _has[k[4:]] = _yesno[config[k]]
    return _has
