
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was bout++Config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../usr/local" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

include(CMakeFindDependencyMacro)

set(BOUT_USE_SIGNAL ON)
set(BOUT_USE_COLOR ON)
set(BOUT_USE_TRACK ON)
set(BOUT_USE_SIGFPE OFF)
set(BOUT_USE_BACKTRACE ON)
set(BOUT_USE_OPENMP false)
set(BOUT_HAS_OUTPUT_DEBUG )
set(BOUT_CHECK_LEVEL 2)

set(BOUT_HAS_PVODE ON)
set(BOUT_HAS_NETCDF true)
set(BOUT_HAS_FFTW ON)
set(BOUT_HAS_LAPACK ON)
set(BOUT_HAS_PETSC false)
set(BOUT_HAS_SLEPC false)
set(BOUT_HAS_SCOREP OFF)
set(BOUT_USE_UUID_SYSTEM_GENERATOR ON)
set(BOUT_HAS_SUNDIALS false)
set(BOUT_HAS_GETTEXT ON)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}")

# Enables the use of the build directory directly, without having to
# specify the paths for the external packages as well
if(EXISTS "/usr/local/lib/cmake/mpark_variant")
  list(APPEND CMAKE_PREFIX_PATH "/usr/local/lib/cmake/mpark_variant")
endif()

# If using the build directory directly, we need the CMake modules too
if(EXISTS "/usr/local/lib/cmake/bout++")
  list(APPEND CMAKE_MODULE_PATH "/usr/local/lib/cmake/bout++")
endif()

include(BOUT++functions)

if(EXISTS "")
  set(PETSC_DIR "")
endif()
if(EXISTS "")
  set(SLEPC_DIR "")
endif()
if(EXISTS "")
  set(SUNDIALS_ROOT "")
elseif(EXISTS "")
  list(APPEND CMAKE_PREFIX_PATH "")
endif()
if(EXISTS "")
  set(FFTW_ROOT "")
endif()
if(EXISTS "")
  set(LAPACK_ROOT "")
endif()
if(EXISTS "")
  set(ScoreP_ROOT "")
endif()
if(EXISTS "")
  set(netCDF_ROOT "")
elseif(EXISTS "")
  set(NC_CONFIG "")
endif()
if(EXISTS "")
  set(netCDFCxx_ROOT "")
elseif(EXISTS "")
  set(NCXX4_CONFIG "")
elseif(EXISTS "")
  # If we downloaded netCDF-cxx4, then we need to add its build directory to our search paths
  list(APPEND CMAKE_PREFIX_PATH "")  
endif()
if(EXISTS "")
  set(HDF5F_ROOT "")
endif()
if(EXISTS "")
  set(PVODE_ROOT "")
elseif(EXISTS "")
    set(PVODE_DIR "")
elseif(EXISTS "/usr/local/lib/cmake/PVODE")
    set(PVODE_DIR "/usr/local/lib/cmake/PVODE")
endif()
if(EXISTS "")
  set(Libuuid_ROOT "")
endif()

if(OFF)
  set(mpark_variant_ROOT "")
else()
  # mpark.variant doesn't use GNUInstallDirs, always installs to lib
  set(mpark_variant_ROOT "${CMAKE_CURRENT_LIST_DIR}/../../../lib/cmake/mpark_variant")
endif()

set(MPIEXEC_EXECUTABLE /usr/local/bin/mpiexec)
find_dependency(MPI 3.1 EXACT)

if (BOUT_USE_OPENMP)
  find_dependency(OpenMP)
endif()
if (BOUT_HAS_NETCDF)
  find_dependency(netCDF )
  find_dependency(netCDFCxx )
endif()
if (BOUT_HAS_HDF5)
  find_dependency(HDF5 )
endif()
if (BOUT_HAS_PVODE)
  find_dependency(PVODE )
endif()
if (BOUT_HAS_FFTW)
  find_dependency(FFTW )
endif()
if (BOUT_HAS_LAPACK)
  find_dependency(LAPACK )
endif()
if (BOUT_HAS_PETSC)
  find_dependency(PETSc )
endif()
if (BOUT_HAS_SUNDIALS)
  find_dependency(SUNDIALS )
endif()
if (BOUT_HAS_GETTEXT)
  find_dependency(Gettext )
  find_dependency(Intl )
endif()
find_dependency(mpark_variant )
if (BOUT_HAS_SLEPC)
  find_dependency(SLEPc )
endif()
if (BOUT_HAS_SCOREP)
  find_dependency(ScoreP)
endif()
if (BOUT_USE_UUID_SYSTEM_GENERATOR)
 find_dependency(Libuuid)
endif()

include("${CMAKE_CURRENT_LIST_DIR}/bout++Targets.cmake")
